%define fw_version 5.38
%define oname baloo

Summary:	Plasma 5 searching and managing metadata framework
Name:		plasma5-%{oname}
Version:	5.38.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{oname}-%{version}.tar.xz
Patch0:		baloo-5.13.0-pkgconfig.patch
# Needed to fix "unsatisfied devel(libKF5BalooEngine)" issue for development package
Patch1:		baloo-5.14.0-library-install.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5auth-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5crash-devel >= %{version}
BuildRequires:	kf5filemetadata-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5idletime-devel >= %{version}
BuildRequires:	kf5kio-devel >= %{version}
BuildRequires:	kf5solid-devel >= %{version}
BuildRequires:	lmdb-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:	plasma5-kfilemetadata
Conflicts:	baloo
# Prefer plasma5 prefix for Plasma 5 core packages
Obsoletes:	baloo-kf5 < 5.6.1-2

%description
Plasma 5 searching and managing metadata framework.

%files -f %{name}.lang
%{_kde5_bindir}/baloo_file
%{_kde5_bindir}/baloo_file_extractor
%{_kde5_bindir}/balooctl
%{_kde5_bindir}/baloosearch
%{_kde5_bindir}/balooshow
%{_kde5_iconsdir}/hicolor/*/apps/baloo.*
%{_kde5_plugindir}/kded/baloosearchmodule.so
%{_kde5_plugindir}/kio/baloosearch.so
%{_kde5_plugindir}/kio/tags.so
%{_kde5_plugindir}/kio/timeline.so
%{_kde5_services}/baloosearch.protocol
%{_kde5_services}/tags.protocol
%{_kde5_services}/timeline.protocol
%{_kde5_sysconfdir}/xdg/autostart/baloo_file.desktop

#----------------------------------------------------------------------------

%define qmlkf5baloo %mklibname kf5baloo-qml

%package -n %{qmlkf5baloo}
Summary:	QML plugin for Plasma 5 searching and managing metadata framework
Group:		System/Libraries
Provides:	kf5baloo-qml = %{EVRD}

%description -n %{qmlkf5baloo}
QML plugin for Plasma 5 searching and managing metadata framework.

%files -n %{qmlkf5baloo}
%dir %{_kde5_qmldir}/org/kde/baloo/
%{_kde5_qmldir}/org/kde/baloo/*

#----------------------------------------------------------------------------

%define kf5baloo_major 5
%define libkf5baloo %mklibname kf5baloo %{kf5baloo_major}

%package -n %{libkf5baloo}
Summary:	Plasma 5 searching and managing metadata shared library
Group:		System/Libraries
Requires:	%{qmlkf5baloo}

%description -n %{libkf5baloo}
Plasma 5 searching and managing metadata shared library.

%files -n %{libkf5baloo}
%{_kde5_libdir}/libKF5Baloo.so.%{kf5baloo_major}
%{_kde5_libdir}/libKF5Baloo.so.%{version}

#----------------------------------------------------------------------------

%define kf5balooengine_major 5
%define libkf5balooengine %mklibname kf5balooengine %{kf5balooengine_major}

%package -n %{libkf5balooengine}
Summary:	Plasma 5 searching and managing metadata shared library
Group:		System/Libraries

%description -n %{libkf5balooengine}
Plasma 5 searching and managing metadata shared library.

%files -n %{libkf5balooengine}
%{_kde5_libdir}/libKF5BalooEngine.so.%{kf5balooengine_major}
%{_kde5_libdir}/libKF5BalooEngine.so.%{version}

#----------------------------------------------------------------------------

%define devkf5baloo %mklibname kf5baloo -d

%package -n %{devkf5baloo}
Summary:	Development files for Plasma 5 searching and managing metadata framework
Group:		Development/KDE and Qt
Requires:	%{libkf5baloo} = %{EVRD}
Requires:	%{libkf5balooengine} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5baloo-devel = %{version}
Conflicts:	baloo-devel

%description -n %{devkf5baloo}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5baloo}
%{_kde5_includedir}/KF5/Baloo
%{_kde5_includedir}/KF5/baloo_version.h
%{_kde5_libdir}/cmake/KF5Baloo
%{_kde5_libdir}/pkgconfig/Baloo.pc
%{_kde5_libdir}/libKF5Baloo.so
%{_kde5_libdir}/libKF5BalooEngine.so
%{_datadir}/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.main.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.scheduler.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang balooctl5 baloo_file5 baloo_file_extractor5 baloomonitorplugin baloosearch5 balooshow5 kio5_baloosearch kio5_tags kio5_timeline %{name}.lang


%changelog

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (d3f079d) New version 5.38.0

* Thu Jun 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (4c5e9d3) Upstream renamed locales to avoid file conflicts with KDE4 locale files
- (Andrey Bondrov: faaa52b) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (6f85e21) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (b617833) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (b743d59) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (466ae16) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (35e69c9) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (b0f86a1) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (94d9478) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (2716869) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (36f22e3) MassBuild#1022: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (395fd1e) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (24649da) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (aac967b) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (747727e) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (75b8e90) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (71f4873) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (ed1fd19) Bump release

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (b74d897) Drop datapath patch, seems to be no longer needed
- (Andrey Bondrov: 5447437) New version 5.16.0

* Mon Oct 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (331148c) Update files (remove baloo-monitor from baloo as upstream did)
- (Andrey Bondrov: 8bc3184) Re-diff datapath patch
- (Andrey Bondrov: bc07a06) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (da29f32) Keep libKF5BalooEngine.so in development package
- (Andrey Bondrov: 452c703) Update files
- (Andrey Bondrov: f5b1834) Drop translations patch (merged upstream)
- (Andrey Bondrov: 923272b) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (24d426d) Swicth from xapian to lmdb (follow upstream)
- (24d426d) New library major version 5
- (24d426d) Drop libkf5balooxapian, add libkf5balooengine library
- (24d426d) Add patch from upstream to restore translations
- (24d426d) Add patch to fix pkgconfig file
- (24d426d) Update files
- (Andrey Bondrov: 7bc16b1) No longer require kf5kdelibs4support-devel


